#ifndef __MENU_H_
#define __MENU_H_

void menu_init(void);
void show_main_menu(void);
unsigned char show_next_setting_menu(void);
void show_vol_setting(float svalue);
void show_vol_value(float value,bit reverse);
void show_vol_value_with_yx(u8 row,u8 startcol,u8 endcol,float value,bit reverse,bit underline);
void show_cur_value(float value,bit reverse);
void show_mode_value(unsigned char mode_index,bit reverse);
void show_cap_value(float value,bit reverse);
void show_qe_value(float value,bit reverse);
void show_status_value(unsigned char status_index,bit reverse);
void show_time_value(unsigned int minutes,bit reverse);
void show_offset_menu(u8 sub_menu_index);
void show_action_menu(u8 menu_index,u8 submenu_index,u8 actionresult);
void show_channel_value(u8 ch_index,float vol_value,float ir_value,int temp_value,bit reverse);
void show_battery_count(u8 count,bit reserve);
void show_power_value(float value,bit reverse);
#endif
